Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.nls
Interface RemoteReportNLSLibrary

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteReportNLSLibrary

extends java.rmi.Remote

Method Summary
`boolean` | `containsLocale(java.util.Locale locale)` Tests whether a locale is contained in the NLS Library.
`java.util.List<java.util.Locale>` | `getAvailableLocales()` Gets all locales in the NLS Library.
`java.util.List<java.awt.Font>` | `getFontKeys(java.lang.String catalogPath, int catalogVersionNumber)` Gets Font Keys from the Report NLS library.
`java.util.List<FontNLSEntry>` | `getFontNLSEntries(java.util.Locale locale)` Gets all Font NLS Entry(FontNLSEntry) bond with a locale in the NLS Library.
`FontNLSEntry` | `getFontNLSEntry(java.util.Locale locale, java.lang.String orginalFaceName, int orginalPointSize)` Gets a special Font NLS Entry(FontNLSEntry) from the NLS Library.
`java.util.List<java.lang.String>` | `getFormatKeys(java.lang.String catalogPath, int catalogVersionNumber)` Gets Format Keys from the Report NLS library.
`java.util.List<FormatNLSEntry>` | `getFormatNLSEntries(java.util.Locale locale)` Gets all Format NLS Entry(FormatNLSEntry) bond with a locale in the NLS Library.
`FormatNLSEntry` | `getFormatNLSEntry(java.util.Locale locale, java.lang.String keyFormat)` Gets a Format NLS Entry(FormatNLSEntry) from the NLS Library.
`java.util.List<NLSEntry>` | `getNLSEntries(java.util.Locale locale)` Gets all the NLS entries bond with a locale in the NLS Library.
`java.util.Map<NLSType,java.util.Map<java.lang.String,java.lang.String>>` | `getOriginalTextKeys(java.lang.String catalogPath, int catalogVersionNumber)` Gets Text Keys and original text values from the Report NLS library.
`java.util.Map<java.lang.String,java.lang.String>` | `getParameterNamesMap(java.lang.String catalogPath, int catalogVersionNumber)` Gets the Parameter Names Map.
`java.util.Map<java.lang.String,RemoteReportNLSLibrary>` | `getSubReportNLSLibraries()` Gets the Report NLS libraries of sub-reports of the main report.
`java.util.Map<NLSType,java.util.List<java.lang.String>>` | `getTextKeys(java.lang.String catalogPath, int catalogVersionNumber)` Gets Text Keys from the Report NLS library.
`java.util.List<TextNLSEntry>` | `getTextNLSEntries(java.util.Locale locale)` Gets all Text NLS Entry(TextNLSEntry) bond with a locale in the NLS Library.
`TextNLSEntry` | `getTextNLSEntry(java.util.Locale locale, NLSType type, java.lang.String keyText)` Gets a Text NLS Entry(TextNLSEntry) from the NLS Library.
`boolean` | `removeFontNLSEntries(java.util.Locale locale, java.util.List<FontNLSEntry> entries)` Removes some Font NLS entries from the NLS Library.
`boolean` | `removeFontNLSEntry(java.util.Locale locale, FontNLSEntry entry)` Removes a Font NLS Entry from the NLS Library.
`boolean` | `removeFormatNLSEntries(java.util.Locale locale, java.util.List<FormatNLSEntry> entries)` Removes some Format NLS entries from the NLS Library.
`boolean` | `removeFormatNLSEntry(java.util.Locale locale, FormatNLSEntry entry)` Removes a Format NLS Entry from the NLS Library.
`boolean` | `removeNLSEntries(java.util.Locale locale)` Removes a locale and all NLS entries bond with the locale from the NLS Library.
`boolean` | `removeNLSEntries(java.util.Locale locale, java.util.List<NLSEntry> entries)` Removes some NLS entries from the NLS Library.
`boolean` | `removeNLSEntry(java.util.Locale locale, NLSEntry entry)` Removes a NLS entry from the NLS Library.
`boolean` | `removeTextNLSEntries(java.util.Locale locale, java.util.List<TextNLSEntry> entries)` Removes some Text NLS entries from the NLS Library.
`boolean` | `removeTextNLSEntry(java.util.Locale locale, TextNLSEntry entry)` Removes a Text NLS Entry from the NLS Library.
`void` | `updateFontNLSEntries(java.util.Locale locale, java.util.List<FontNLSEntry> entries)` Updates the Font NLS Entries bond with a locale in the NLS Library.
`void` | `updateFontNLSEntry(java.util.Locale locale, FontNLSEntry entry)` Updates a Font NLS Entry bond with a locale in the NLS Library.
`void` | `updateFormatNLSEntries(java.util.Locale locale, java.util.List<FormatNLSEntry> entries)` Updates the Format NLS Entries bond with a locale in the NLS Library.
`void` | `updateFormatNLSEntry(java.util.Locale locale, FormatNLSEntry entry)` Updates a Format NLS Entry bond with a locale in the NLS Library.
`void` | `updateNLSEntries(java.util.Locale locale, java.util.List<NLSEntry> entries)` Updates all the NLS Entries bond with a locale in the NLS Library.
`void` | `updateNLSEntry(java.util.Locale locale, NLSEntry entry)` Updates a NLS Entry bond with a locale in the NLS Library.
`void` | `updateTextNLSEntries(java.util.Locale locale, java.util.List<TextNLSEntry> entries)` Updates the Text NLS Entries bond with a locale in the NLS Library.
`void` | `updateTextNLSEntry(java.util.Locale locale, TextNLSEntry entry)` Updates a Text NLS Entry bond with a locale in the NLS Library.

Method Detail

### getAvailableLocales

    java.util.List<java.util.Locale> getAvailableLocales()
                                                         throws java.rmi.RemoteException

  Gets all locales in the NLS Library.

  Returns:
    A List which contain all locales.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### containsLocale

    boolean containsLocale(java.util.Locale locale)
                           throws java.rmi.RemoteException

  Tests whether a locale is contained in the NLS Library.

  Parameters:
    `locale` - The locale to test.
  Returns:
    Return True if the NLS Library contain it, otherwise false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getNLSEntries

    java.util.List<NLSEntry> getNLSEntries(java.util.Locale locale)
                                           throws java.rmi.RemoteException

  Gets all the NLS entries bond with a locale in the NLS Library.

  Parameters:
    `locale` - The locale which was bond with the NLS entries.
  Returns:
    A list which contains all NLS entries, the NLS entry is one of TextNLSEntry FormatNLSEntry and FontNLSEntry.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getTextNLSEntries

    java.util.List<TextNLSEntry> getTextNLSEntries(java.util.Locale locale)
                                                   throws java.rmi.RemoteException

  Gets all Text NLS Entry(TextNLSEntry) bond with a locale in the NLS Library.

  Parameters:
    `locale` - The locale which was bond with the Text NLS entries.
  Returns:
    A list which contains all Text NLS Entry(TextNLSEntry).
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getFormatNLSEntries

    java.util.List<FormatNLSEntry> getFormatNLSEntries(java.util.Locale locale)
                                                       throws java.rmi.RemoteException

  Gets all Format NLS Entry(FormatNLSEntry) bond with a locale in the NLS Library.

  Parameters:
    `locale` - The locale which was bond with the Format NLS entries.
  Returns:
    A list which contains all Format NLS Entry(FormatNLSEntry).
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getFontNLSEntries

    java.util.List<FontNLSEntry> getFontNLSEntries(java.util.Locale locale)
                                                   throws java.rmi.RemoteException

  Gets all Font NLS Entry(FontNLSEntry) bond with a locale in the NLS Library.

  Parameters:
    `locale` - The locale which was bond with the Font NLS entries.
  Returns:
    A list which contains all Font NLS Entry(FontNLSEntry).
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getTextNLSEntry

    TextNLSEntry getTextNLSEntry(java.util.Locale locale,
                                 NLSType type,
                                 java.lang.String keyText)
                                 throws java.rmi.RemoteException

  Gets a Text NLS Entry(TextNLSEntry) from the NLS Library.

  Parameters:
    `locale` - The locale which the Text NLS Entry was bond with.
    `type` - The type of the Text NLS Entry.
    `keyText` - The keyText of the Text NLS Entry.
  Returns:
    A TextNLSEntry, it maybe null if there is no Text NLS Entry specified by the type and keyText in the NLS Library.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getFormatNLSEntry

    FormatNLSEntry getFormatNLSEntry(java.util.Locale locale,
                                     java.lang.String keyFormat)
                                     throws java.rmi.RemoteException

  Gets a Format NLS Entry(FormatNLSEntry) from the NLS Library.

  Parameters:
    `locale` - The locale which the Format NLS Entry was bond with.
    `keyFormat` - The keyFormat of the Format NLS Entry.
  Returns:
    A FormatNLSEntry, it maybe null if there is no Format NLS Entry specified by the keyFormat in the NLS Library.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getFontNLSEntry

    FontNLSEntry getFontNLSEntry(java.util.Locale locale,
                                 java.lang.String orginalFaceName,
                                 int orginalPointSize)
                                 throws java.rmi.RemoteException

  Gets a special Font NLS Entry(FontNLSEntry) from the NLS Library.

  Parameters:
    `locale` - The locale which the Font NLS Entry was bond with.
    `orginalFaceName` - The orginalFaceName of the Font NLS Entry.
    `orginalPointSize` - The orginalPointSize of the Font NLS Entry.
  Returns:
    A FontNLSEntry, it maybe null if there is no Font NLS Entry specified by the orginalFaceName and orginalPointSize in the NLS Library.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### updateNLSEntries

    void updateNLSEntries(java.util.Locale locale,
                          java.util.List<NLSEntry> entries)
                          throws java.rmi.RemoteException

  Updates all the NLS Entries bond with a locale in the NLS Library. After updating, the old NLS Entries bond with the locale will be removed, and the NLS Entries contained in the list entries will be added into the NLS Library, and they will bond with the locale.

  Parameters:
    `locale` - The locale which the NLS entries bond with.
    `entries` - The NLS entries bond with a locale.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### updateTextNLSEntries

    void updateTextNLSEntries(java.util.Locale locale,
                              java.util.List<TextNLSEntry> entries)
                              throws java.rmi.RemoteException

  Updates the Text NLS Entries bond with a locale in the NLS Library. After updating, the old Text NLS Entries bond with the locale will be removed, and the Text NLS Entries contained in the list entries will be added into the NLS Library, and they will bond with the locale.

  Parameters:
    `locale` - The locale which the Text NLS Entries bond with.
    `entries` - The Text NLS entries bond with the locale.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### updateFormatNLSEntries

    void updateFormatNLSEntries(java.util.Locale locale,
                                java.util.List<FormatNLSEntry> entries)
                                throws java.rmi.RemoteException

  Updates the Format NLS Entries bond with a locale in the NLS Library. After updating, the old Format NLS Entries bond with the locale will be removed, and the Format NLS Entries contained in the list entries will be added into the NLS Library, and they will bond with the locale.

  Parameters:
    `locale` - The locale which the Format NLS Entries bond with.
    `entries` - The Format NLS entries bond with the locale.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### updateFontNLSEntries

    void updateFontNLSEntries(java.util.Locale locale,
                              java.util.List<FontNLSEntry> entries)
                              throws java.rmi.RemoteException

  Updates the Font NLS Entries bond with a locale in the NLS Library. After updating, the old Font NLS Entries bond with the locale will be removed, and the Font NLS Entries contained in the list entries will be added into the NLS Library, and they will bond with the locale.

  Parameters:
    `locale` - The locale which the Font NLS Entries bond with.
    `entries` - The Font NLS entries bond with the locale.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### updateNLSEntry

    void updateNLSEntry(java.util.Locale locale,
                        NLSEntry entry)
                        throws java.rmi.RemoteException

  Updates a NLS Entry bond with a locale in the NLS Library. If there is a same NLS Entry in the NLS Library already, it will be replaced. Otherwise, a NLS Entry will add into the NLS Library.

  Parameters:
    `locale` - The locale which the NLS Entry bond with.
    `entry` - The NLS entry bond with the locale.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### updateTextNLSEntry

    void updateTextNLSEntry(java.util.Locale locale,
                            TextNLSEntry entry)
                            throws java.rmi.RemoteException

  Updates a Text NLS Entry bond with a locale in the NLS Library. If there is a same Text NLS Entry in the NLS Library already, it will be replaced. Otherwise, a Text NLS Entry will add into the NLS Library.

  Parameters:
    `locale` - The locale the Text NLS Entry bond with.
    `entry` - The Text NLS entry bond with the locale.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### updateFormatNLSEntry

    void updateFormatNLSEntry(java.util.Locale locale,
                              FormatNLSEntry entry)
                              throws java.rmi.RemoteException

  Updates a Format NLS Entry bond with a locale in the NLS Library. If there is a same Format NLS Entry in the NLS Library already, it will be replaced. Otherwise, a Format NLS Entry will add into the NLS Library.

  Parameters:
    `locale` - The locale the Format NLS Entry bond with.
    `entry` - The Format NLS entry bond with the locale.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### updateFontNLSEntry

    void updateFontNLSEntry(java.util.Locale locale,
                            FontNLSEntry entry)
                            throws java.rmi.RemoteException

  Updates a Font NLS Entry bond with a locale in the NLS Library. If there is a same Font NLS Entry in the NLS Library already, it will be replaced. Otherwise, a Font NLS Entry will add into the NLS Library.

  Parameters:
    `locale` - The locale which the Font NLS Entry bond with.
    `entry` - The Font NLS entry bond with the locale.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### removeNLSEntries

    boolean removeNLSEntries(java.util.Locale locale)
                             throws java.rmi.RemoteException

  Removes a locale and all NLS entries bond with the locale from the NLS Library.

  Parameters:
    `locale` - The locale which you want to remove.
  Returns:
    Return true if the locale contained in the NLS Library.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### removeNLSEntries

    boolean removeNLSEntries(java.util.Locale locale,
                             java.util.List<NLSEntry> entries)
                             throws java.rmi.RemoteException

  Removes some NLS entries from the NLS Library.

  Parameters:
    `locale` - The locale which the NLS Entries bond with.
    `entries` - The entries which you want to remove.
  Returns:
    Return true if at least a NLS Entry contained in the NLS Library, otherwise false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### removeTextNLSEntries

    boolean removeTextNLSEntries(java.util.Locale locale,
                                 java.util.List<TextNLSEntry> entries)
                                 throws java.rmi.RemoteException

  Removes some Text NLS entries from the NLS Library.

  Parameters:
    `locale` - The locale which the Text NLS Entries bond with.
    `entries` - The entries which you want to remove.
  Returns:
    Return true if at least a Text NLS Entry contained in the NLS Library, otherwise false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### removeFormatNLSEntries

    boolean removeFormatNLSEntries(java.util.Locale locale,
                                   java.util.List<FormatNLSEntry> entries)
                                   throws java.rmi.RemoteException

  Removes some Format NLS entries from the NLS Library.

  Parameters:
    `locale` - The locale which the Format NLS Entries bond with.
    `entries` - The entries which you want to remove.
  Returns:
    Return true if at least a Format NLS Entry contained in the NLS Library, otherwise false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### removeFontNLSEntries

    boolean removeFontNLSEntries(java.util.Locale locale,
                                 java.util.List<FontNLSEntry> entries)
                                 throws java.rmi.RemoteException

  Removes some Font NLS entries from the NLS Library.

  Parameters:
    `locale` - The locale which the Font NLS Entries bond with.
    `entries` - The entries which you want to remove.
  Returns:
    Return true if at least a Font NLS Entry contained in the NLS Library, otherwise false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### removeNLSEntry

    boolean removeNLSEntry(java.util.Locale locale,
                           NLSEntry entry)
                           throws java.rmi.RemoteException

  Removes a NLS entry from the NLS Library.

  Parameters:
    `locale` - The locale which the NLS Entry bond with.
    `entry` - The entry which you want to remove.
  Returns:
    Return true if the NLS Entry contained in the NLS Library, otherwise false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### removeTextNLSEntry

    boolean removeTextNLSEntry(java.util.Locale locale,
                               TextNLSEntry entry)
                               throws java.rmi.RemoteException

  Removes a Text NLS Entry from the NLS Library.

  Parameters:
    `locale` - The locale which the Text NLS Entry bond with.
    `entry` - The entry which you want to remove.
  Returns:
    Return true if the Text NLS Entry contained in the NLS Library, otherwise false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### removeFormatNLSEntry

    boolean removeFormatNLSEntry(java.util.Locale locale,
                                 FormatNLSEntry entry)
                                 throws java.rmi.RemoteException

  Removes a Format NLS Entry from the NLS Library.

  Parameters:
    `locale` - The locale which the Format NLS Entry bond with.
    `entry` - The entry which you want to remove.
  Returns:
    Return true if the Format NLS Entry contained in the NLS Library, otherwise false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### removeFontNLSEntry

    boolean removeFontNLSEntry(java.util.Locale locale,
                               FontNLSEntry entry)
                               throws java.rmi.RemoteException

  Removes a Font NLS Entry from the NLS Library.

  Parameters:
    `locale` - The locale which the Font NLS Entry bond with.
    `entry` - The entry which you want to remove.
  Returns:
    Return true if the Font NLS Entry contained in the NLS Library, otherwise false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getTextKeys

    java.util.Map<NLSType,java.util.List<java.lang.String>> getTextKeys(java.lang.String catalogPath,
                                                                        int catalogVersionNumber)
                                                                        throws java.rmi.RemoteException

  Gets Text Keys from the Report NLS library.

  Parameters:
    `catalogPath` - The path of catalog.
    `catalogVersionNumber` - The version number of catalog.
  Returns:
    A Map which contains all Text Keys, and its key is Text type, the value is a List which contains all text keys.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getFormatKeys

    java.util.List<java.lang.String> getFormatKeys(java.lang.String catalogPath,
                                                   int catalogVersionNumber)
                                                   throws java.rmi.RemoteException

  Gets Format Keys from the Report NLS library.

  Parameters:
    `catalogPath` - The path of catalog.
    `catalogVersionNumber` - The version number of catalog.
  Returns:
    A List which contains all Format keys.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getFontKeys

    java.util.List<java.awt.Font> getFontKeys(java.lang.String catalogPath,
                                              int catalogVersionNumber)
                                              throws java.rmi.RemoteException

  Gets Font Keys from the Report NLS library.

  Parameters:
    `catalogPath` - The path of catalog.
    `catalogVersionNumber` - The version number of catalog.
  Returns:
    A List which contains all Font keys.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getSubReportNLSLibraries

    java.util.Map<java.lang.String,RemoteReportNLSLibrary> getSubReportNLSLibraries()
                                                                                    throws java.rmi.RemoteException

  Gets the Report NLS libraries of sub-reports of the main report.

  Returns:
    A Map which contains all Report NLS libraries, the key is sub-report name, the value is Report NLS library.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getParameterNamesMap

    java.util.Map<java.lang.String,java.lang.String> getParameterNamesMap(java.lang.String catalogPath,
                                                                          int catalogVersionNumber)
                                                                          throws java.rmi.RemoteException

  Gets the Parameter Names Map.

  Parameters:
    `catalogPath` - The path of catalog.
    `catalogVersionNumber` - The version number of catalog.
  Returns:
    A Map which contains all parameter names and corresponding values.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getOriginalTextKeys

    java.util.Map<NLSType,java.util.Map<java.lang.String,java.lang.String>> getOriginalTextKeys(java.lang.String catalogPath,
                                                                                                int catalogVersionNumber)
                                                                                                throws java.rmi.RemoteException

  Gets Text Keys and original text values from the Report NLS library.

  Parameters:
    `catalogPath` - The path of catalog.
    `catalogVersionNumber` - The version number of catalog.
  Returns:
    A Map which contains all Text Keys, original text values, and its key is Text type, the value is a Map which contains all text keys and original text values.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD